<?php
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}?>
<div id="showPrediction">
<?php 
/**************************** Version 20240321 ***************************/
/* The following code sets defaults for testing only.
    If these defaults adversely affect your predictionion code, comment out
		 this section by removing the slash behind this asterisk ->*/ 
if (!isset($wfo)&&!isset($prediction)) { 
	$wfo='oax';
	$divWidth = '656';         // They are used for testing only
	$prediction = "StormTotalSnowWeb";
  $leftMargin = 50; // Left margin to display text
  $mapPath = './images/';
	$_SESSION['CSSwidescreen'] = false;
	$standAlone = true;
}
/* End of testing code defaults and section to comment out */
if (isset($_POST['wfo'])) { # Are we using AJAX???
	$wfo = $_POST['wfo']; # If so, set wfo.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['divWidth'])) { # Are we using AJAX???
	$divWidth = $_POST['divWidth']; # If so, set wfo.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['prediction'])) { # Are we using AJAX???
	$prediction = $_POST['prediction']; # If so, set wfo.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['standAlone'])) { # Are we using AJAX???
	$standAlone = $_POST['standAlone']; # If so, set wfo.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_SESSION['CSSwidescreen'])) {
	$divWidth = ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114)' : $divWidth);
}
if ($standAlone ) $divWidth = 1022;
$locationArrays = array(
/*
array("afc","AK, Anchorage"),
array("afg","AK, Fairbanks"),
array("ajk","AK, Juneau"),
array("bmx","AL, Birmingham"),
array("mob","AL, Mobile"),
array("hun","AL, Huntsville"),
array("fgz","AZ, Flagstaff"),
array("psr","AZ, Phoenix"),
array("twc","AZ, Tucson"), */
array("lzk","AR, Little Rock"),
array("eka","CA, Eureka"),
array("hnx","CA, Hanford/San Joaquin Vly."),
array("lox","CA, Los Angeles/Oxnard"),
array("sto","CA, Sacramento"),
array("sgx","CA, San Diego"),
array("mtr","CA, San Francisco Bay/Monterey"),

array("bou","CO, Denver/Boulder"),
array("gjt","CO, Grand Junction"),
array("pub","CO, Pueblo"),
array("jax","FL, Jacksonville"),
array("eyw","FL, Key West"),
array("mlb","FL, Melbourne"),
array("mfl","FL, Miami"),
array("tae","FL, Tallahassee"),
array("tbw","FL, Tampa Bay Area"),
array("ffc","GA, Atlanta/Peachtree City"),/*
array("pq","GU, Tiyan"),
array("hnl","HI, Honolulu"),*/
array("boi","ID, Boise"),
array("pih","ID, Pocatello"),
array("ilx","IL, Lincoln"),
array("lot","IL, Chicago"),
array("ind","IN, Indianapolis"),
array("iwx","IN, Northern Indiana"),
array("dmx","IA, Des Moines"),
array("dvn","IA, Quad Cities/Davenport"),
array("ddc","KS, Dodge City"),
array("gld","KS, Goodland"),
array("top","KS, Topeka"),
array("ict","KS, Wichita"),
array("jkl","KY, Jackson"),
array("lmk","KY, Louisville"),
array("pah","KY, Paducah"),
array("lch","LA, Lake Charles"),
array("lix","LA, New Orleans"),
array("shv","LA, Shreveport"),
array("car","ME, Caribou"),
array("gyx","ME, Portland"),
array("box","MA, Boston/Norton"),
array("dtx","MI, Detroit"),
array("apx","MI, Gaylord"),
array("grr","MI, Grand Rapids"),
array("mqt","MI, Marquette"),
array("dlh","MN, Duluth"),
array("mpx","MN, Twin Cities/Chanhassen"),
array("jan","MS, Jackson"),
array("eax","MO, Kansas City"),
array("sgf","MO, Springfield"),
array("lsx","MO, St. Louis"),
array("byz","MT, Billings"),
array("ggw","MT, Glasgow"),
array("tfx","MT, Great Falls"),
array("mso","MT, Missoula"),
array("gid","NE, Hastings"),
array("lbf","NE, North Platte"),
array("oax","NE, Omaha"),
array("lkn","NV, Elko"),
array("vef","NV, Las Vegas"),
array("rev","NV, Reno"),
array("abq","NM, Albuquerque"),
array("aly","NY, Albany"),
array("bgm","NY, Binghamton"),
array("buf","NY, Buffalo"),
array("okx","NY, New York City/Upton, NY"),
array("rah","NC, Raleigh/Durham"),
array("mhx","NC, Morehead City"),
array("ilm","NC, Wilmington"),
array("bis","ND, Bismarck"),
array("fgf","ND, Grand Forks"),
array("cle","OH, Cleveland"),
array("iln","OH, Wilmington/Dayton"),
array("oun","OK, Norman"),
array("tsa","OK, Tulsa"),
array("mfr","OR, Medford"),
array("pdt","OR, Pendleton"),
array("pqr","OR, Portland"),
array("phi","PA, Philadelphia/Mt. Holly, NJ"),
array("pbz","PA, Pittsburgh"),
array("ctp","PA, State College"),/*
array("sju","PR, San Juan"),*/
array("chs","SC, Charleston"),
array("cae","SC, Columbia"),
array("gsp","SC, Greenville/Spartanburg"),
array("abr","SD, Aberdeen"),
array("unr","SD, Rapid City"),
array("fsd","SD, Sioux falls"),
array("mrx","TN, Knoxville/Tri Cities"),
array("meg","TN, Memphis"),
array("ohx","TN, Nashville"),
array("ama","TX, Amarillo"),
array("bro","TX, Brownsville"),
array("crp","TX, Corpus Christi"),
array("fwd","TX, Dallas/Fort Worth"),
array("epz","TX, El Paso"),
array("hgx","TX, Houston/Galveston"),
array("lub","TX, Lubbock"),
array("sjt","TX, San Angelo"),
array("ewx","TX, San Antonio/Austin"),
array("slc","UT, Salt Lake City"),
array("btv","VT, Burlington"),
array("rnk","VA, Roanoke/Blacksburg"),
array("akq","VA, Wakefield"),
array("sew","WA, Seattle/Tacoma"),
array("otx","WA, Spokane"),
array("lwx","MD, Washington/Baltimore"),
array("rlx","WV, Charleston"),
array("grb","WI, Green Bay"),
array("arx","WI, La Crosse"),
array("mkx","WI, Milwaukee"),
array("cys","WY, Cheyenne"),
array("riw","WY, Riverton")
);
foreach ($locationArrays as $key => $val) {
	if ($val[0] === $wfo) {
		$wfoText = $locationArrays[$key][1];
		break;
	}
}
$matches = preg_split("/[,]+/",$wfoText);
$city = trim($matches[1]);
$state = $matches[0];

$wfoText = $city.', '.$state;
?>
<?php
$predictionArrays = array(
    array("SnowAmt10Prcntl","Expect at Least This Much"),
    array("StormTotalSnowWeb","Most Likely Snowfall"),
    array("SnowAmt90Prcntl","Potential for This Much"),
	array("StormTotalIceWeb","Storm Total Ice Forecast"),
	array("ProbSnowGETr","Chance >= 0.1 Inch Snowfall"),
	array("ProbSnowGe01","Chance >= 1 Inch Snowfall"),
	array("ProbSnowGe02","Chance >= 2 Inch Snowfall"),
	array("ProbSnowGe04","Chance >= 4 Inch Snowfall"),
	array("ProbSnowGe06","Chance >= 6 Inch Snowfall"),
	array("ProbSnowGe08","Chance >= 8 Inch Snowfall"),
	array("ProbSnowGe12","Chance >= 12 Inch Snowfall"),
	array("ProbSnowGe18","Chance >= 18 Inch Snowfall"),
);
foreach ($predictionArrays as $key => $val) {
	if ($val[0] == $prediction) {
		$predictionText = $predictionArrays[$key][1];
		break;
	}
}
?>
<h2 align="center"><?php echo $predictionText?> for <?php echo $wfoText?></h2>
<h4 align="center">To Select Another NWS Office or Prediction Type <!--Click on Map or -->Choose from a List</h4>
<table width="575px" align="center">
<tr><td align="center">

    <span style="color:#000000; font-size:14px; font-family:arial, times new roman;">
    <b>Select Forecast Office:</b> &nbsp;
    </span>
    <select style="border:1px solid #000000; background-color:#FFFFFF; font-size:13px;" id="wfo">
<!--    <optgroup label=" - Alabama">
      <option value="bmx"<?php echo $wfo=="bmx"?' selected="selected"':''?>>Birmingham</option>
      <option value="hun"<?php echo $wfo=="hun"?' selected="selected"':''?>>Huntsville</option>
      <option value="mob"<?php echo $wfo=="mob"?' selected="selected"':''?>>Mobile</option>
    </optgroup>
    <optgroup label=" - Alaska">
      <option value="afc"<?php echo $wfo=="afc"?' selected="selected"':''?>>Anchorage</option>
      <option value="afg"<?php echo $wfo=="afg"?' selected="selected"':''?>>Fairbanks</option>
      <option value="ajk"<?php echo $wfo=="ajk"?' selected="selected"':''?>>Juneau</option>
    </optgroup>
    <optgroup label=" - Arizona">
      <option value="fgz"<?php echo $wfo=="fgz"?' selected="selected"':''?>>Flagstaff</option>
      <option value="psr"<?php echo $wfo=="psr"?' selected="selected"':''?>>Phoenix</option>
      <option value="twc"<?php echo $wfo=="twc"?' selected="selected"':''?>>Tucson</option>
    </optgroup>
    <optgroup label=" - Arkansas">
      <option value="lzk"<?php echo $wfo=="lzk"?' selected="selected"':''?>>Little Rock</option>
    </optgroup>
--> 
    <optgroup label=" - California">
<!--
	  <option value="eka"<?php echo $wfo=="eka"?' selected="selected"':''?>>Eureka</option>
      <option value="hnx"<?php echo $wfo=="hnx"?' selected="selected"':''?>>Hanford/San Joaquin Vly.</option>
      <option value="lox"<?php echo $wfo=="lox"?' selected="selected"':''?>>Los Angeles</option>
      <option value="sto"<?php echo $wfo=="sto"?' selected="selected"':''?>>Sacramento</option>
      <option value="sgx"<?php echo $wfo=="sgx"?' selected="selected"':''?>>San Diego</option>
-->
      <option value="mtr"<?php echo $wfo=="mtr"?' selected="selected"':''?>>San Francisco</option>
    </optgroup>
    <optgroup label=" - Colorado">
      <option value="bou"<?php echo $wfo=="bou"?' selected="selected"':''?>>Denver/Boulder</option>
      <option value="gjt"<?php echo $wfo=="gjt"?' selected="selected"':''?>>Grand Junction</option>
      <option value="pub"<?php echo $wfo=="pub"?' selected="selected"':''?>>Pueblo</option>

    </optgroup>
    <!--
    <optgroup label=" - Florida">
      <option value="jax"<?php echo $wfo=="jax"?' selected="selected"':''?>>Jacksonville</option>
      <option value="eyw"<?php echo $wfo=="eyw"?' selected="selected"':''?>>Key West</option>
      <option value="mlb"<?php echo $wfo=="mlb"?' selected="selected"':''?>>Melbourne</option>
      <option value="mfl"<?php echo $wfo=="mfl"?' selected="selected"':''?>>Miami</option>
      <option value="tae"<?php echo $wfo=="tae"?' selected="selected"':''?>>Tallahassee</option>
      <option value="tbw"<?php echo $wfo=="tbw"?' selected="selected"':''?>>Tampa Bay Area</option>
    </optgroup>
    -->
    <optgroup label=" - Georgia">
      <option value="ffc"<?php echo $wfo=="ffc"?' selected="selected"':''?>>Atlanta/Peachtree City</option>
    </optgroup>
    <!--
		<optgroup label=" - Guam">
 			<option value="pq"<?php echo $wfo=="pq"?' selected="selected"':''?>>Tiyan</option>
    </optgroup>

		<optgroup label=" - Hawaii">
 			<option value="hnl"<?php echo $wfo=="hnl"?' selected="selected"':''?>>Honolulu</option>
    </optgroup>
    <optgroup label=" - Idaho">
      <option value="boi"<?php echo $wfo=="boi"?' selected="selected"':''?>>Boise</option>
      <option value="pih"<?php echo $wfo=="pih"?' selected="selected"':''?>>Pocatello</option>
	</optgroup>
-->
	<optgroup label=" - Illinois">
      <option value="ilx"<?php echo $wfo=="ilx"?' selected="selected"':''?>>Lincoln</option>
      <option value="lot"<?php echo $wfo=="lot"?' selected="selected"':''?>>Chicago</option>
    </optgroup>
    <optgroup label=" - Indiana">
      <option value="ind"<?php echo $wfo=="ind"?' selected="selected"':''?>>Indianapolis</option>
      <option value="iwx"<?php echo $wfo=="iwx"?' selected="selected"':''?>>Northern Indiana</option>
    </optgroup>
    <optgroup label=" - Iowa">
      <option value="dmx"<?php echo $wfo=="dmx"?' selected="selected"':''?>>Des Moines</option>
      <option value="dvn"<?php echo $wfo=="dvn"?' selected="selected"':''?>>Quad Cities</option>
    </optgroup>
    <optgroup label=" - Kansas">
      <option value="ddc"<?php echo $wfo=="ddc"?' selected="selected"':''?>>Dodge City</option>
      <option value="gld"<?php echo $wfo=="gld"?' selected="selected"':''?>>Goodland</option>
      <option value="top"<?php echo $wfo=="top"?' selected="selected"':''?>>Topeka</option>
      <option value="ict"<?php echo $wfo=="ict"?' selected="selected"':''?>>Wichita</option>
    </optgroup>
    <optgroup label=" - Kentucky">
      <option value="jkl"<?php echo $wfo=="jkl"?' selected="selected"':''?>>Jackson</option>
      <option value="lmk"<?php echo $wfo=="lmk"?' selected="selected"':''?>>Louisville</option>
      <option value="pah"<?php echo $wfo=="pah"?' selected="selected"':''?>>Paducah</option>
      </optgroup>
    <optgroup label=" - Louisiana">
<!--      <option value="lch"<?php echo $wfo=="lch"?' selected="selected"':''?>>Lake Charles</option>
      <option value="lix"<?php echo $wfo=="lix"?' selected="selected"':''?>>New Orleans</option>
-->
	<option value="shv"<?php echo $wfo=="shv"?' selected="selected"':''?>>Shreveport</option>
    </optgroup>
    <optgroup label=" - Maine">
      <option value="car"<?php echo $wfo=="car"?' selected="selected"':''?>>Caribou</option>
      <option value="gyx"<?php echo $wfo=="gyx"?' selected="selected"':''?>>Portland/Gray</option>
    </optgroup>
    <optgroup label=" - Maryland">
      <option value="lwx"<?php echo $wfo=="lwx"?' selected="selected"':''?>>Baltimore/Washington DC</option>
    </optgroup>
    <optgroup label=" - Massachusetts">
      <option value="box"<?php echo $wfo=="box"?' selected="selected"':''?>>Boston</option>
    </optgroup>
    <optgroup label=" - Michigan">
      <option value="dtx"<?php echo $wfo=="dtx"?' selected="selected"':''?>>Detroit</option>
      <option value="apx"<?php echo $wfo=="apx"?' selected="selected"':''?>>Gaylord</option>
      <option value="grr"<?php echo $wfo=="grr"?' selected="selected"':''?>>Grand Rapids</option>
      <option value="mqt"<?php echo $wfo=="mqt"?' selected="selected"':''?>>Marquette</option>
    </optgroup>
    <optgroup label=" - Minnesota">
      <option value="dlh"<?php echo $wfo=="dlh"?' selected="selected"':''?>>Duluth</option>
      <option value="mpx"<?php echo $wfo=="mpx"?' selected="selected"':''?>>Minneapolis</option>
    </optgroup>
 <!--
	  <optgroup label=" - Mississippi">
      <option value="jan"<?php echo $wfo=="jan"?' selected="selected"':''?>>Jackson</option>
    </optgroup>
-->
 	<optgroup label=" - Missouri">
      <option value="eax"<?php echo $wfo=="eax"?' selected="selected"':''?>>Kansas City</option>
      <option value="sgf"<?php echo $wfo=="sgf"?' selected="selected"':''?>>Springfield</option>
      <option value="lsx"<?php echo $wfo=="lsx"?' selected="selected"':''?>>St. Louis</option>
    </optgroup>

    <optgroup label=" - Montana">
      <option value="byz"<?php echo $wfo=="byz"?' selected="selected"':''?>>Billings</option>
      <option value="ggw"<?php echo $wfo=="ggw"?' selected="selected"':''?>>Glasgow</option>
      <option value="tfx"<?php echo $wfo=="tfx"?' selected="selected"':''?>>Great Falls</option>
      <option value="mso"<?php echo $wfo=="mso"?' selected="selected"':''?>>Missoula</option>
    </optgroup>

    <optgroup label=" - Nebraska">
      <option value="gid"<?php echo $wfo=="gid"?' selected="selected"':''?>>Hastings</option>
      <option value="lbf"<?php echo $wfo=="lbf"?' selected="selected"':''?>>North Platte</option>
      <option value="oax"<?php echo $wfo=="oax"?' selected="selected"':''?>>Omaha</option>
    </optgroup>
 
    <optgroup label=" - Nevada">
<!--
	  <option value="lkn"<?php echo $wfo=="lkn"?' selected="selected"':''?>>Elko</option>
      <option value="vef"<?php echo $wfo=="vef"?' selected="selected"':''?>>Las Vegas</option>
-->
	<option value="rev"<?php echo $wfo=="rev"?' selected="selected"':''?>>Reno</option>
    </optgroup>

    <optgroup label=" - New Jersey">
      <option value="phi"<?php echo $wfo=="phi"?' selected="selected"':''?>>Mt. Holly/Phyladelphia, PA</option>
    </optgroup>

    <optgroup label=" - New Mexico">
      <option value="abq"<?php echo $wfo=="abq"?' selected="selected"':''?>>Albuquerque</option>
    </optgroup>

    <optgroup label=" - New York">
      <option value="aly"<?php echo $wfo=="aly"?' selected="selected"':''?>>Albany</option>
      <option value="bgm"<?php echo $wfo=="bgm"?' selected="selected"':''?>>Binghamton</option>
      <option value="buf"<?php echo $wfo=="buf"?' selected="selected"':''?>>Buffalo</option>
       <option value="okx"<?php echo $wfo=="okx"?' selected="selected"':''?>>New York City/Upton</option>
    </optgroup>
    <optgroup label=" - North Carolina">
      <option value="mhx"<?php echo $wfo=="mhx"?' selected="selected"':''?>>Newport/Morehead City, NC</option>
       <option value="rah"<?php echo $wfo=="rah"?' selected="selected"':''?>>Raleigh/Durham</option>
       <option value="ilm"<?php echo $wfo=="ilm"?' selected="selected"':''?>>Wilmington</option>
    </optgroup>
    <optgroup label=" - North Dakota">
      <option value="bis"<?php echo $wfo=="bis"?' selected="selected"':''?>>Bismarck</option>
      <option value="fgf"<?php echo $wfo=="fgf"?' selected="selected"':''?>>Grand Forks</option>
    </optgroup>
    <optgroup label=" - Ohio">
      <option value="cle"<?php echo $wfo=="cle"?' selected="selected"':''?>>Cleveland</option>
      <option value="iln"<?php echo $wfo=="iln"?' selected="selected"':''?>>Wilmington/Dayton</option>
    </optgroup>
    <optgroup label=" - Oklahoma">
      <option value="oun"<?php echo $wfo=="oun"?' selected="selected"':''?>>Norman</option>
      <option value="tsa"<?php echo $wfo=="tsa"?' selected="selected"':''?>>Tulsa</option>
    </optgroup>
    <optgroup label=" - Oregon">
      <option value="mfr"<?php echo $wfo=="mfr"?' selected="selected"':''?>>Medford</option>
<!--
	  <option value="pdt"<?php echo $wfo=="pdt"?' selected="selected"':''?>>Pendleton</option>
-->
	<option value="pqr"<?php echo $wfo=="pqr"?' selected="selected"':''?>>Portland</option>
    </optgroup>

    <optgroup label=" - Pennsylvania">
      <option value="phi"<?php echo $wfo=="phi"?' selected="selected"':''?>>Philadelphia/Mt. Holly, NJ</option>
      <option value="pbz"<?php echo $wfo=="pbz"?' selected="selected"':''?>>Pittsburgh</option>
      <option value="ctp"<?php echo $wfo=="ctp"?' selected="selected"':''?>>State College</option>
    </optgroup>
    <!--
    <optgroup label="Puerto Rico">
    	<option value="sju"<?php echo $wfo=="sju"?' selected="selected"':''?>>San Juan</option>
    </optgroup>
    -->
    <optgroup label=" - South Carolina">
      <option value="chs"<?php echo $wfo=="chs"?' selected="selected"':''?>>Charleston</option>
      <option value="cae"<?php echo $wfo=="cae"?' selected="selected"':''?>>Columbia</option>
      <option value="gsp"<?php echo $wfo=="gsp"?' selected="selected"':''?>>Greenville/Spartanburg</option>
    </optgroup>
    <optgroup label=" - South Dakota">
      <option value="abr"<?php echo $wfo=="abr"?' selected="selected"':''?>>Aberdeen</option>
      <option value="unr"<?php echo $wfo=="unr"?' selected="selected"':''?>>Rapid City</option>
      <option value="fsd"<?php echo $wfo=="fsd"?' selected="selected"':''?>>Sioux Falls</option>
    </optgroup>
    <optgroup label=" - Tennessee">
      <option value="mrx"<?php echo $wfo=="mrx"?' selected="selected"':''?>>Knoxville/Tri Cities</option>
      <option value="meg"<?php echo $wfo=="meg"?' selected="selected"':''?>>Memphis</option>
      <option value="ohx"<?php echo $wfo=="ohx"?' selected="selected"':''?>>Nashville</option>
    </optgroup>
    <optgroup label=" - Texas">
      <option value="ama"<?php echo $wfo=="ama"?' selected="selected"':''?>>Amarillo</option>
<!--
	  <option value="ewx"<?php echo $wfo=="ewx"?' selected="selected"':''?>>Austin/San Antonio</option>
      <option value="bro"<?php echo $wfo=="bro"?' selected="selected"':''?>>Brownsville</option>
      <option value="crp"<?php echo $wfo=="crp"?' selected="selected"':''?>>Corpus Christi</option>
-->
	  <option value="fwd"<?php echo $wfo=="fwd"?' selected="selected"':''?>>Dallas/Fort Worth</option>
<!--
	  <option value="epz"<?php echo $wfo=="epz"?' selected="selected"':''?>>El Paso</option>
      <option value="hgx"<?php echo $wfo=="hgx"?' selected="selected"':''?>>Houston/Galveston</option>
-->
	  <option value="lub"<?php echo $wfo=="lub"?' selected="selected"':''?>>Lubbock</option>
      <option value="sjt"<?php echo $wfo=="sjt"?' selected="selected"':''?>>San Angelo</option>
    </optgroup>
    <optgroup label=" - Utah">
      <option value="slc"<?php echo $wfo=="slc"?' selected="selected"':''?>>Salt Lake City</option>
    </optgroup>
    <optgroup label=" - Vermont">
      <option value="btv"<?php echo $wfo=="btv"?' selected="selected"':''?>>Burlington</option>
    </optgroup>
    <optgroup label=" - Virginia">
      <option value="rnk"<?php echo $wfo=="rnk"?' selected="selected"':''?>>Roanoke/Blacksburg</option>
      <option value="akq"<?php echo $wfo=="akq"?' selected="selected"':''?>>Wakefield</option>
    </optgroup>
<!--
	  <optgroup label=" - Washington">
      <option value="sew"<?php echo $wfo=="sew"?' selected="selected"':''?>>Seattle/Tacoma</option>
      <option value="otx"<?php echo $wfo=="otx"?' selected="selected"':''?>>Spokane</option>
    </optgroup>
-->
	<optgroup label=" - West Virginia">
      <option value="rlx"<?php echo $wfo=="rlx"?' selected="selected"':''?>>Charleston</option>
    </optgroup>
    <optgroup label=" - Wisconsin">
      <option value="grb"<?php echo $wfo=="grb"?' selected="selected"':''?>>Green Bay</option>
      <option value="arx"<?php echo $wfo=="arx"?' selected="selected"':''?>>La Crosse</option>
      <option value="mkx"<?php echo $wfo=="mkx"?' selected="selected"':''?>>Milwaukee</option>
    </optgroup>
    <optgroup label=" - Wyoming">
      <option value="cys"<?php echo $wfo=="cys"?' selected="selected"':''?>>Cheyenne</option>
      <option value="riw"<?php echo $wfo=="riw"?' selected="selected"':''?>>Riverton</option>
    </optgroup>
    </select>
  </td>
  <td align="left">
    <span style="color:#000000; font-size:14px; font-family:arial, times new roman;">
    <b>Select prediction:</b> &nbsp;
    </span>
    <select style="border:1px solid #000000; background-color:#FFFFFF; font-size:13px;" id="prediction">
    <option value="SnowAmt10Prcntl"<?php echo $prediction=="SnowAmt10Prcntl"?' selected="selected"':''?>>Expect at Least This Much</option>
    <option value="StormTotalSnowWeb"<?php echo $prediction=="StormTotalSnowWeb"?' selected="selected"':''?>>Most Likely Snowfall</option>
    <option value="SnowAmt90Prcntl"<?php echo $prediction=="SnowAmt90Prcntl"?' selected="selected"':''?>>Potential for This Much</option>
    <option value="StormTotalIceWeb"<?php echo $prediction=="StormTotalIceWeb"?' selected="selected"':''?>>Storm Total Ice Forecast</option>
    <option value="ProbSnowGETr"<?php echo $prediction=="ProbSnowGETr"?' selected="selected"':''?>>Chance >= 0.1 Inch Snowfall</option>
    <option value="ProbSnowGE01"<?php echo $prediction=="ProbSnowGET01"?' selected="selected"':''?>>Chance >= 1 Inch Snowfall</option>
    <option value="ProbSnowGE02"<?php echo $prediction=="ProbSnowGET02"?' selected="selected"':''?>>Chance >= 2 Inch Snowfall</option>
    <option value="ProbSnowGE04"<?php echo $prediction=="ProbSnowGET04"?' selected="selected"':''?>>Chance >= 4 Inch Snowfall</option>
    <option value="ProbSnowGE06"<?php echo $prediction=="ProbSnowGET06"?' selected="selected"':''?>>Chance >= 6 Inch Snowfall</option>
    <option value="ProbSnowGE08"<?php echo $prediction=="ProbSnowGET08"?' selected="selected"':''?>>Chance >= 8 Inch Snowfall</option>
    <option value="ProbSnowGE12"<?php echo $prediction=="ProbSnowGET12"?' selected="selected"':''?>>Chance >= 12 Inch Snowfall</option>
    <option value="ProbSnowGE18"<?php echo $prediction=="ProbSnowGET18"?' selected="selected"':''?>>Chance >= 18 Inch Snowfall</option>
    </select>
  </td>
</tr></table>
<script type="text/javascript">
  $("#wfo").change(function () {
    var wfo = $(this).val();
		var divWidth = "<?php echo $divWidth?>";
		var prediction = "<?php echo 'StormTotalSnowWeb'?>";
		var standAlone = "<?php echo $standAlone?>";
    showPredictionjs(wfo,divWidth,prediction,standAlone);
  });
</script>
<script type="text/javascript">
  $("#prediction").change(function () {
    var prediction = $(this).val();
		var divWidth = "<?php echo $divWidth?>";
		var wfo = "<?php echo $wfo?>";
		var standAlone = "<?php echo $standAlone?>";
    showPredictionjs(wfo,divWidth,prediction,standAlone);
  });
</script>

<?php
	$ourSuffix='.jpg';
#	$exceptions = array('bou','box','ggw','gid','ama','slc');
	$exceptions = array('bou','gid','ama','slc','bis');
	if (in_array($wfo,$exceptions)) {
		$ourSuffix = '.png';
		if ($wfo=='bou') $ourSuffix='1_CO.jpg';
#		if ($wfo=='box') $ourSuffix='_BOX.jpg';
		if ($wfo=='slc') $ourSuffix='.png';
		if ($wfo=='gid'||$wfo=='bis') {
			if($prediction=='StormTotalSnowWeb') $prediction='StormTotalSnow';
			if($prediction=='StormTotalIceWeb') $prediction='StormTotalIce';
			$ourSuffix=($wfo=='gid'?'_GID.png':'_BIS.png');
			if ($ourSuffix=='_BIS.png') {
				if ($prediction=='StormTotalIce') {
					$prediction = 'StormTotalIceWeb';
					$ourSuffix = '_ND.jpg';}
				if ($prediction=='SnowAmt90Prcntl') {
					$ourSuffix = '_ND.jpg';
				}
				if ($prediction=='SnowAmt10Prcntl') {
					$ourSuffix = '_BIS.jpg';
				}
			}
		}
	}

?>
<?php
/* Debug Code *
echo '$wfo: '.$wfo.', $prediction: '.$prediction.' $ourSuffix: '.$ourSuffix.', $prediction.$ourSuffix: '.$prediction.$ourSuffix.', $predictionText: '.$predictionText.'<br/>';
echo '$divWidth: '.$divWidth.', $_SESSION[\'CSSwidescreen\']: '.($_SESSION['CSSwidescreen']==1?'true':'false').', $standAlone: '.($standAlone==1?'true':'false').'<br/>';
/* End Debug Code */
?>

<table width="<?php echo $divWidth?>px" align="center">
<tr><td align="center">

    <img src="https://www.weather.gov/images/<?php echo $wfo?><?php echo $wfo=='gid'||($wfo=='bis'&&($prediction!='StormTotalIceWeb')&&($prediction!='SnowAmt90Prcntl')&&($prediction!='SnowAmt10Prcntl'))? '/ProbMessaging/':'/winter/'?><?php echo $prediction.$ourSuffix?>" width="<?php echo $divWidth?>" alt="Snowfall Prediction Missing"/>
</td>
</tr></table>
<!--
<p align="center" style="line-height:140%; font-size:24px">Go <a href="https://www.weather.gov/<?php echo $wfo?>/winter" target="_blank" title="New Tab">Here</a> if these graphics are stale.</p>
-->
<p align="center" style="line-height:140%; font-size:12px"><a href="https://www.weather.gov/<?php echo $wfo?>/winter" target="_blank" title="New Tab">Winter Page for <?php echo $wfoText?> Weather Forecast Office</a></p>
<p align="center" style="line-height:140%; font-size:9px">Predictions Courtesy of <a href="https://www.weather.gov/<?php echo $wfo?>/" target="_blank" title="New Tab">NOAA-NWS</a><br/>WFO and predictions Scripts by <a href="https://gwwilkins.org" target="_blank" title="New Tab">SE Lincoln Weather</a> with modifications by <a href="https://mymishawakaweather.com" target="_blank" title="New Tab">Thomas Abell</a>.</p>
</div>
</div> <!-- End #showPrediction -->
